org.jgroups

## Class Event

- java.lang.Object
- - org.jgroups.Event

- Direct Known Subclasses:
    ExecutorEvent

      public class Event
      extends java.lang.Object

  Used for inter-stack and intra-stack communication.
  Author:
    Bela Ban

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BECOME_SERVER`
    `static int` | `BLOCK`
    `static int` | `CLOSE_BARRIER`
    `static int` | `CONFIG`
    `static int` | `CONNECT`
    `static int` | `CONNECT_USE_FLUSH`
    `static int` | `CONNECT_WITH_STATE_TRANSFER`
    `static int` | `CONNECT_WITH_STATE_TRANSFER_USE_FLUSH`
    `static int` | `DISCONNECT`
    `static int` | `FIND_ALL_MBRS`
    `static int` | `FIND_INITIAL_MBRS`
    `static int` | `GET_APPLSTATE`
    `static int` | `GET_DIGEST`
    `static Event` | `GET_DIGEST_EVT`
    `static int` | `GET_LOCAL_ADDRESS`
    `static int` | `GET_LOGICAL_PHYSICAL_MAPPINGS`
    `static int` | `GET_PHYSICAL_ADDRESS`
    `static int` | `GET_STATE`
    `static int` | `GET_STATE_OK`
    `static int` | `LOCK`
    `static int` | `LOCK_AWAIT`
    `static int` | `LOCK_SIGNAL`
    `static int` | `MERGE`
    `static int` | `MERGE_DIGEST`
    `static int` | `MSG`
    `static int` | `OPEN_BARRIER`
    `static int` | `OVERWRITE_DIGEST`
    `static int` | `PREPARE_VIEW`
    `static int` | `REBROADCAST`
    `static int` | `REMOVE_ADDRESS`
    `static int` | `RESUME`
    `static int` | `RESUME_STABLE`
    `static int` | `SET_DIGEST`
    `static int` | `SET_LOCAL_ADDRESS`
    `static int` | `SET_PHYSICAL_ADDRESS`
    `static int` | `STABLE`
    `static int` | `STATE_RECEIVED`
    `static int` | `STATE_TRANSFER_INPUTSTREAM`
    `static int` | `STATE_TRANSFER_INPUTSTREAM_CLOSED`
    `static int` | `STATE_TRANSFER_OUTPUTSTREAM`
    `static int` | `STATE_TRANSFER_OUTPUTSTREAM_CLOSED`
    `static int` | `SUSPECT`
    `static int` | `SUSPEND`
    `static int` | `SUSPEND_BUT_FAIL`
    `static int` | `SUSPEND_STABLE`
    `static int` | `TMP_VIEW`
    `static int` | `UNBLOCK`
    `static int` | `UNLOCK`
    `static int` | `UNLOCK_ALL`
    `static int` | `UNSUSPECT`
    `static int` | `USER_DEFINED`
    `static int` | `VIEW_CHANGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event(int type)`
    `Event(int type, java.lang.Object arg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getArg()`
    `int` | `getType()`
    `void` | `setArg(java.lang.Object arg)` Deprecated.
    `void` | `setType(int type)` Deprecated. in order to make an Event immutable
    `java.lang.String` | `toString()`
    `static java.lang.String` | `type2String(int t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MSG

          public static final int MSG

      See Also:
        Constant Field Values

    - #### CONNECT

          public static final int CONNECT

      See Also:
        Constant Field Values

    - #### DISCONNECT

          public static final int DISCONNECT

      See Also:
        Constant Field Values

    - #### VIEW_CHANGE

          public static final int VIEW_CHANGE

      See Also:
        Constant Field Values

    - #### SET_LOCAL_ADDRESS

          public static final int SET_LOCAL_ADDRESS

      See Also:
        Constant Field Values

    - #### SUSPECT

          public static final int SUSPECT

      See Also:
        Constant Field Values

    - #### BLOCK

          public static final int BLOCK

      See Also:
        Constant Field Values

    - #### FIND_INITIAL_MBRS

          public static final int FIND_INITIAL_MBRS

      See Also:
        Constant Field Values

    - #### FIND_ALL_MBRS

          public static final int FIND_ALL_MBRS

      See Also:
        Constant Field Values

    - #### MERGE

          public static final int MERGE

      See Also:
        Constant Field Values

    - #### TMP_VIEW

          public static final int TMP_VIEW

      See Also:
        Constant Field Values

    - #### BECOME_SERVER

          public static final int BECOME_SERVER

      See Also:
        Constant Field Values

    - #### GET_APPLSTATE

          public static final int GET_APPLSTATE

      See Also:
        Constant Field Values

    - #### GET_STATE

          public static final int GET_STATE

      See Also:
        Constant Field Values

    - #### GET_STATE_OK

          public static final int GET_STATE_OK

      See Also:
        Constant Field Values

    - #### STATE_RECEIVED

          public static final int STATE_RECEIVED

      See Also:
        Constant Field Values

    - #### STABLE

          public static final int STABLE

      See Also:
        Constant Field Values

    - #### GET_DIGEST

          public static final int GET_DIGEST

      See Also:
        Constant Field Values

    - #### SET_DIGEST

          public static final int SET_DIGEST

      See Also:
        Constant Field Values

    - #### OVERWRITE_DIGEST

          public static final int OVERWRITE_DIGEST

      See Also:
        Constant Field Values

    - #### UNSUSPECT

          public static final int UNSUSPECT

      See Also:
        Constant Field Values

    - #### MERGE_DIGEST

          public static final int MERGE_DIGEST

      See Also:
        Constant Field Values

    - #### CONFIG

          public static final int CONFIG

      See Also:
        Constant Field Values

    - #### SUSPEND_STABLE

          public static final int SUSPEND_STABLE

      See Also:
        Constant Field Values

    - #### RESUME_STABLE

          public static final int RESUME_STABLE

      See Also:
        Constant Field Values

    - #### SUSPEND

          public static final int SUSPEND

      See Also:
        Constant Field Values

    - #### RESUME

          public static final int RESUME

      See Also:
        Constant Field Values

    - #### STATE_TRANSFER_INPUTSTREAM

          public static final int STATE_TRANSFER_INPUTSTREAM

      See Also:
        Constant Field Values

    - #### STATE_TRANSFER_OUTPUTSTREAM

          public static final int STATE_TRANSFER_OUTPUTSTREAM

      See Also:
        Constant Field Values

    - #### STATE_TRANSFER_INPUTSTREAM_CLOSED

          public static final int STATE_TRANSFER_INPUTSTREAM_CLOSED

      See Also:
        Constant Field Values

    - #### STATE_TRANSFER_OUTPUTSTREAM_CLOSED

          public static final int STATE_TRANSFER_OUTPUTSTREAM_CLOSED

      See Also:
        Constant Field Values

    - #### UNBLOCK

          public static final int UNBLOCK

      See Also:
        Constant Field Values

    - #### CLOSE_BARRIER

          public static final int CLOSE_BARRIER

      See Also:
        Constant Field Values

    - #### OPEN_BARRIER

          public static final int OPEN_BARRIER

      See Also:
        Constant Field Values

    - #### REBROADCAST

          public static final int REBROADCAST

      See Also:
        Constant Field Values

    - #### CONNECT_WITH_STATE_TRANSFER

          public static final int CONNECT_WITH_STATE_TRANSFER

      See Also:
        Constant Field Values

    - #### PREPARE_VIEW

          public static final int PREPARE_VIEW

      See Also:
        Constant Field Values

    - #### GET_PHYSICAL_ADDRESS

          public static final int GET_PHYSICAL_ADDRESS

      See Also:
        Constant Field Values

    - #### GET_LOGICAL_PHYSICAL_MAPPINGS

          public static final int GET_LOGICAL_PHYSICAL_MAPPINGS

      See Also:
        Constant Field Values

    - #### SET_PHYSICAL_ADDRESS

          public static final int SET_PHYSICAL_ADDRESS

      See Also:
        Constant Field Values

    - #### REMOVE_ADDRESS

          public static final int REMOVE_ADDRESS

      See Also:
        Constant Field Values

    - #### GET_LOCAL_ADDRESS

          public static final int GET_LOCAL_ADDRESS

      See Also:
        Constant Field Values

    - #### CONNECT_USE_FLUSH

          public static final int CONNECT_USE_FLUSH

      See Also:
        Constant Field Values

    - #### CONNECT_WITH_STATE_TRANSFER_USE_FLUSH

          public static final int CONNECT_WITH_STATE_TRANSFER_USE_FLUSH

      See Also:
        Constant Field Values

    - #### SUSPEND_BUT_FAIL

          public static final int SUSPEND_BUT_FAIL

      See Also:
        Constant Field Values

    - #### LOCK

          public static final int LOCK

      See Also:
        Constant Field Values

    - #### UNLOCK

          public static final int UNLOCK

      See Also:
        Constant Field Values

    - #### UNLOCK_ALL

          public static final int UNLOCK_ALL

      See Also:
        Constant Field Values

    - #### LOCK_AWAIT

          public static final int LOCK_AWAIT

      See Also:
        Constant Field Values

    - #### LOCK_SIGNAL

          public static final int LOCK_SIGNAL

      See Also:
        Constant Field Values

    - #### USER_DEFINED

          public static final int USER_DEFINED

      See Also:
        Constant Field Values

    - #### GET_DIGEST_EVT

          public static final Event GET_DIGEST_EVT

  - ### Constructor Detail

    - #### Event

          public Event(int type)

    - #### Event

          public Event(int type,
               java.lang.Object arg)

  - ### Method Detail

    - #### getType

          public final int getType()

    - #### setType

          @Deprecated
          public void setType(int type)

      Deprecated. in order to make an Event immutable
      Sets the new type
      Parameters:
        `type` -

    - #### getArg

          public java.lang.Object getArg()

    - #### setArg

          @Deprecated
          public void setArg(java.lang.Object arg)

      Deprecated.

    - #### type2String

          public static java.lang.String type2String(int t)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.